/* $Id:  $   */
/* DO NOT EDIT - file generated by ObitTables.pl                      */
/*--------------------------------------------------------------------*/
/*;  Copyright (C)  2014                                              */
/*;  Associated Universities, Inc. Washington DC, USA.                */
/*;                                                                   */
/*;  This program is free software; you can redistribute it and/or    */
/*;  modify it under the terms of the GNU General Public License as   */
/*;  published by the Free Software Foundation; either version 2 of   */
/*;  the License, or (at your option) any later version.              */
/*;                                                                   */
/*;  This program is distributed in the hope that it will be useful,  */
/*;  but WITHOUT ANY WARRANTY; without even the implied warranty of   */
/*;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    */
/*;  GNU General Public License for more details.                     */
/*;                                                                   */
/*;  You should have received a copy of the GNU General Public        */
/*;  License along with this program; if not, write to the Free       */
/*;  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge,     */
/*;  MA 02139, USA.                                                   */
/*;                                                                   */
/*;Correspondence about this software should be addressed as follows: */
/*;         Internet email: bcotton@nrao.edu.                         */
/*;         Postal address: William Cotton                            */
/*;                         National Radio Astronomy Observatory      */
/*;                         520 Edgemont Road                         */
/*;                         Charlottesville, VA 22903-2475 USA        */
/*--------------------------------------------------------------------*/
%{
#include "Obit.h"
#include "ObitData.h"
#include "ObitTableAT.h"
%}
 
%inline %{
 
extern ObitTable* TableAT (ObitData *inData, long *tabVer,
 	                   int access,
 	                   char *tabName,
                           int numBand,
                           ObitErr *err)
 {
   ObitIOAccess laccess;
   /* Cast structural keywords to correct type */
   oint lnumBand = (oint)numBand;
   olong ltabVer = (olong)*tabVer;
   ObitTable *outTable=NULL;
   laccess = OBIT_IO_ReadOnly;
   if (access==2) laccess = OBIT_IO_WriteOnly;
   else if (access==3) laccess = OBIT_IO_ReadWrite;
   outTable = (ObitTable*)newObitTableATValue ((gchar*)tabName, inData, (olong*)&ltabVer,
   			   laccess, 
                           lnumBand,
                           err);
   *tabVer = (long)ltabVer;
   return outTable;
   }
 
extern PyObject* TableATGetHeadKeys (ObitTable *inTab) {
  PyObject *outDict=PyDict_New();
  ObitTableAT *lTab = (ObitTableAT*)inTab;
  PyDict_SetItemString(outDict, "numBand",  PyInt_FromLong((long)lTab->numBand));
  PyDict_SetItemString(outDict, "revision",  PyInt_FromLong((long)lTab->revision));
  PyDict_SetItemString(outDict, "obscode", PyString_InternFromString(lTab->obscode));
  PyDict_SetItemString(outDict, "RefDate", PyString_InternFromString(lTab->RefDate));
  PyDict_SetItemString(outDict, "polType", PyString_InternFromString(lTab->polType));
  PyDict_SetItemString(outDict, "FreqID",  PyInt_FromLong((long)lTab->FreqID));

  return outDict;
} 

extern void TableATSetHeadKeys (ObitTable *inTab, PyObject *inDict) {
  ObitTableAT *lTab = (ObitTableAT*)inTab;
  char *tstr;
  int lstr=MAXKEYCHARTABLEAT;

  lTab->revision = (oint)PyInt_AsLong(PyDict_GetItemString(inDict, "revision"));
  tstr = PyString_AsString(PyDict_GetItemString(inDict, "obscode"));
  strncpy (lTab->obscode, tstr, lstr); lTab->obscode[lstr-1]=0;
  tstr = PyString_AsString(PyDict_GetItemString(inDict, "RefDate"));
  strncpy (lTab->RefDate, tstr, lstr); lTab->RefDate[lstr-1]=0;
  tstr = PyString_AsString(PyDict_GetItemString(inDict, "polType"));
  strncpy (lTab->polType, tstr, lstr); lTab->polType[lstr-1]=0;
  lTab->FreqID = (oint)PyInt_AsLong(PyDict_GetItemString(inDict, "FreqID"));

  if ((lTab->myDesc->access==OBIT_IO_ReadWrite) || (lTab->myDesc->access==OBIT_IO_WriteOnly)) 
    lTab->myStatus = OBIT_Modified;
} 

%}
