/* $Id:  $   */
/* DO NOT EDIT - file generated by ObitTables.pl                      */
/*--------------------------------------------------------------------*/
/*;  Copyright (C)  2014                                              */
/*;  Associated Universities, Inc. Washington DC, USA.                */
/*;                                                                   */
/*;  This program is free software; you can redistribute it and/or    */
/*;  modify it under the terms of the GNU General Public License as   */
/*;  published by the Free Software Foundation; either version 2 of   */
/*;  the License, or (at your option) any later version.              */
/*;                                                                   */
/*;  This program is distributed in the hope that it will be useful,  */
/*;  but WITHOUT ANY WARRANTY; without even the implied warranty of   */
/*;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    */
/*;  GNU General Public License for more details.                     */
/*;                                                                   */
/*;  You should have received a copy of the GNU General Public        */
/*;  License along with this program; if not, write to the Free       */
/*;  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge,     */
/*;  MA 02139, USA.                                                   */
/*;                                                                   */
/*;Correspondence about this software should be addressed as follows: */
/*;         Internet email: bcotton@nrao.edu.                         */
/*;         Postal address: William Cotton                            */
/*;                         National Radio Astronomy Observatory      */
/*;                         520 Edgemont Road                         */
/*;                         Charlottesville, VA 22903-2475 USA        */
/*--------------------------------------------------------------------*/
%{
#include "Obit.h"
#include "ObitData.h"
#include "ObitTableBP.h"
%}
 
%inline %{
 
extern ObitTable* TableBP (ObitData *inData, long *tabVer,
 	                   int access,
 	                   char *tabName,
                           int numPol, int numIF, int numChan,
                           ObitErr *err)
 {
   ObitIOAccess laccess;
   /* Cast structural keywords to correct type */
   oint lnumPol = (oint)numPol;
   oint lnumIF = (oint)numIF;
   oint lnumChan = (oint)numChan;
   olong ltabVer = (olong)*tabVer;
   ObitTable *outTable=NULL;
   laccess = OBIT_IO_ReadOnly;
   if (access==2) laccess = OBIT_IO_WriteOnly;
   else if (access==3) laccess = OBIT_IO_ReadWrite;
   outTable = (ObitTable*)newObitTableBPValue ((gchar*)tabName, inData, (olong*)&ltabVer,
   			   laccess, 
                           lnumPol, lnumIF, lnumChan,
                           err);
   *tabVer = (long)ltabVer;
   return outTable;
   }
 
extern PyObject* TableBPGetHeadKeys (ObitTable *inTab) {
  PyObject *outDict=PyDict_New();
  ObitTableBP *lTab = (ObitTableBP*)inTab;
  PyDict_SetItemString(outDict, "numPol",  PyInt_FromLong((long)lTab->numPol));
  PyDict_SetItemString(outDict, "numIF",  PyInt_FromLong((long)lTab->numIF));
  PyDict_SetItemString(outDict, "numChan",  PyInt_FromLong((long)lTab->numChan));
  PyDict_SetItemString(outDict, "startChan",  PyInt_FromLong((long)lTab->startChan));
  PyDict_SetItemString(outDict, "numShifts",  PyInt_FromLong((long)lTab->numShifts));
  PyDict_SetItemString(outDict, "lowShift",  PyInt_FromLong((long)lTab->lowShift));
  PyDict_SetItemString(outDict, "shiftInc",  PyInt_FromLong((long)lTab->shiftInc));

  return outDict;
} 

extern void TableBPSetHeadKeys (ObitTable *inTab, PyObject *inDict) {
  ObitTableBP *lTab = (ObitTableBP*)inTab;
  char *tstr;
  int lstr=MAXKEYCHARTABLEBP;

  lTab->startChan = (oint)PyInt_AsLong(PyDict_GetItemString(inDict, "startChan"));
  lTab->numShifts = (oint)PyInt_AsLong(PyDict_GetItemString(inDict, "numShifts"));
  lTab->lowShift = (oint)PyInt_AsLong(PyDict_GetItemString(inDict, "lowShift"));
  lTab->shiftInc = (oint)PyInt_AsLong(PyDict_GetItemString(inDict, "shiftInc"));

  if ((lTab->myDesc->access==OBIT_IO_ReadWrite) || (lTab->myDesc->access==OBIT_IO_WriteOnly)) 
    lTab->myStatus = OBIT_Modified;
} 

%}
