/* $Id:  $   */
/* DO NOT EDIT - file generated by ObitTables.pl                      */
/*--------------------------------------------------------------------*/
/*;  Copyright (C)  2014                                              */
/*;  Associated Universities, Inc. Washington DC, USA.                */
/*;                                                                   */
/*;  This program is free software; you can redistribute it and/or    */
/*;  modify it under the terms of the GNU General Public License as   */
/*;  published by the Free Software Foundation; either version 2 of   */
/*;  the License, or (at your option) any later version.              */
/*;                                                                   */
/*;  This program is distributed in the hope that it will be useful,  */
/*;  but WITHOUT ANY WARRANTY; without even the implied warranty of   */
/*;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    */
/*;  GNU General Public License for more details.                     */
/*;                                                                   */
/*;  You should have received a copy of the GNU General Public        */
/*;  License along with this program; if not, write to the Free       */
/*;  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge,     */
/*;  MA 02139, USA.                                                   */
/*;                                                                   */
/*;Correspondence about this software should be addressed as follows: */
/*;         Internet email: bcotton@nrao.edu.                         */
/*;         Postal address: William Cotton                            */
/*;                         National Radio Astronomy Observatory      */
/*;                         520 Edgemont Road                         */
/*;                         Charlottesville, VA 22903-2475 USA        */
/*--------------------------------------------------------------------*/
%{
#include "Obit.h"
#include "ObitData.h"
#include "ObitTableMF.h"
%}
 
%inline %{
 
extern ObitTable* TableMF (ObitData *inData, long *tabVer,
 	                   int access,
 	                   char *tabName,
                          
                           ObitErr *err)
 {
   ObitIOAccess laccess;
   /* Cast structural keywords to correct type */
   olong ltabVer = (olong)*tabVer;
   ObitTable *outTable=NULL;
   laccess = OBIT_IO_ReadOnly;
   if (access==2) laccess = OBIT_IO_WriteOnly;
   else if (access==3) laccess = OBIT_IO_ReadWrite;
   outTable = (ObitTable*)newObitTableMFValue ((gchar*)tabName, inData, (olong*)&ltabVer,
   			   laccess, 
                          
                           err);
   *tabVer = (long)ltabVer;
   return outTable;
   }
 
extern PyObject* TableMFGetHeadKeys (ObitTable *inTab) {
  PyObject *outDict=PyDict_New();
  ObitTableMF *lTab = (ObitTableMF*)inTab;
  PyDict_SetItemString(outDict, "depth1",  PyFloat_FromDouble((double)lTab->depth1));
  PyDict_SetItemString(outDict, "depth2",  PyFloat_FromDouble((double)lTab->depth2));
  PyDict_SetItemString(outDict, "depth3",  PyFloat_FromDouble((double)lTab->depth3));
  PyDict_SetItemString(outDict, "depth4",  PyFloat_FromDouble((double)lTab->depth4));
  PyDict_SetItemString(outDict, "depth5",  PyFloat_FromDouble((double)lTab->depth5));

  return outDict;
} 

extern void TableMFSetHeadKeys (ObitTable *inTab, PyObject *inDict) {
  ObitTableMF *lTab = (ObitTableMF*)inTab;
  char *tstr;
  int lstr=MAXKEYCHARTABLEMF;

  lTab->depth1 = (ofloat)PyFloat_AsDouble(PyDict_GetItemString(inDict, "depth1"));
  lTab->depth2 = (ofloat)PyFloat_AsDouble(PyDict_GetItemString(inDict, "depth2"));
  lTab->depth3 = (ofloat)PyFloat_AsDouble(PyDict_GetItemString(inDict, "depth3"));
  lTab->depth4 = (ofloat)PyFloat_AsDouble(PyDict_GetItemString(inDict, "depth4"));
  lTab->depth5 = (ofloat)PyFloat_AsDouble(PyDict_GetItemString(inDict, "depth5"));

  if ((lTab->myDesc->access==OBIT_IO_ReadWrite) || (lTab->myDesc->access==OBIT_IO_WriteOnly)) 
    lTab->myStatus = OBIT_Modified;
} 

%}
